Name:     mactelnetd
Version:  0.4.4
Release:  2%{?dist}
Summary:  Console tools for serving, devices using MikroTik RouterOS MAC-Telnet protocol.
Epoch:    7
Packager: Eliezer Croitoru <eliezer@ngtech.co.il>
Vendor:   NgTech Ltd
License:  3 Clause BSD
Group:    System Environment/Daemons
URL:      https://ngtech.co.il/wpe/
Source0:  mactelnetd.tar
Source1:  mactelnetd.service
Source2:  mactelnetd.sysconfig
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(preun):  systemd
Requires(postun): systemd
Requires:       systemd-units
# Required to allow debug package auto creation
BuildRequires:  redhat-rpm-config
BuildRequires:  systemd-units

# Required to validate auto requires AutoReqProv: no
## aaaAutoReqProv: no

%description
Console tools for serving, devices using MikroTik RouterOS MAC-Telnet protocol.

%prep
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p ${RPM_BUILD_ROOT}%{_unitdir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
tar xvf %{SOURCE0} -C ${RPM_BUILD_ROOT}/
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_unitdir}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mactelnetd

%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr(-,root,root,-)
%attr(755,root,root) %dir %{_sysconfdir}/sysconfig
%config(noreplace) %{_sysconfdir}/sysconfig/mactelnetd
%config(noreplace) %{_sysconfdir}/mactelnetd.users
%attr(755,root,root) %{_sbindir}/*
%doc /usr/share/*

%{_unitdir}/mactelnetd.service

%post
%systemd_post mactelnetd.service

%preun
%systemd_preun mactelnetd.service

%postun
%systemd_postun_with_restart mactelnetd.service

%changelog
* Thu Dec 14 2017 Eliezer Croitoru <eliezer@ngtech.co.il>
+ Release 0.4.4.-2 Latest Stable.
+ Added Always Restart to the systemd unit.

